.pps-header {
  color: #333333;
  font-family: Prompt;
  font-size: 28px;
  font-weight: 600;
  letter-spacing: 0;
  line-height: 52px;
}
.pps-header_th {
  color: #999999;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
}
.example-form {
  min-width: 150px;
  max-width: 500px;
  width: 100%;
}

.example-full-width {
  width: 100%;
}

.head-detal {
  color: #333333;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 32px;
  margin-top: 20px;
  margin-bottom: 10px;
  // padding-left: 10px;
}
.body-detal{
  padding-left: 10px;
}
.body-detal-checkbox{
  padding-left: 15px;
}
  .saveDraft {
    box-sizing: border-box;
    height: 48px;
    width: 228px;
    border: 1.5px solid #00a4e4;
    border-radius: 4px;
    color: #00a6e6;
    background-color: #ffffff00;
    font-family: Prompt;
    font-size: 18px;
    letter-spacing: 0;
    line-height: 28px;
    text-align: center;
  }
.sandwork {
  margin-left: 15px;
  box-sizing: border-box;
  height: 48px;
  width: 180px;
  border: none;
  border-radius: 4px;
  color: #ffffff;
  background-color: #00a4e4;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center;
}
.body-detal{
  justify-content: center;
}
.button-next{
  height: 56px;
  width: 100%;
  color: #FFFFFF;
  background-color: #00A4E4;
  font-family: Prompt;
}

.button-search {
  color: #FFFFFF;
  background-color: #00A4E4;
}

.checkbox-col{
  margin-right: 20px;
}
.radio-col{
  margin-right: 20px;
}

.alert-success{
  box-sizing: border-box;
  height: 49px;
  // border: 1px solid rgba(90,167,0,0.7);
  border: 1px solid rgba(0,110,149,0.7);
  border-radius: 4px;
  // background-color: rgba(90,167,0,0.1);
  background-color: rgba(0,110,149,0.1);
  box-shadow: 0 2px 8px 0 rgba(224,224,224,0.5);
  text-align: center;
  padding-top: 10px;
  a.alert-detail{
    // color: #5AA700;
    color: #006E95;
    font-family: Prompt;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 28px;
  }
}

.icon_checkmark{
  height: 24px;
  width: 24px;
}

::ng-deep .th-center .mat-sort-header-container {
  justify-content: center;
}

::ng-deep .mat-checkbox-checked.mat-accent .mat-checkbox-ripple .mat-ripple-element {
  opacity: 0.03 !important;
  background-color: #00A6E6!important;
}

::ng-deep .mat-checkbox-checked.mat-accent .mat-checkbox-background,.mat-checkbox-indeterminate.mat-accent .mat-checkbox-background {
  background-color: #00A6E6;
}

::ng-deep .mat-radio-button.mat-accent .mat-radio-ripple .mat-ripple-element {
  opacity: 0 !important; /*click effect color change*/
  background-color: #00A6E6 !important;  }
  
::ng-deep .mat-radio-button.mat-accent .mat-radio-inner-circle {
  background-color: #00A6E6 !important; /*inner circle color change*/  }
  
::ng-deep.mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle {
  border-color: #00A6E6 !important; /*outer ring color change*/
}
::ng-deep .myDpSelector.myDpSelectorArrow.myDpSelectorArrowLeft.myDpSelectorAbsolute {
  height: 232px;
  width: 252px;
  margin-top: 10px;
  top: 40px !important; 
  left: 15px !important;
}
.subDetail{
  background-color: #F2F2F2;
  border-radius: 4px;
  padding: 10px;
  padding-bottom: 0vw;
  margin-left: 30px;
  // width: max-content;
  // width: fit-content;
}
.inputSubDetail{
  margin-left: 30px;
  padding: 0px;
  margin-top: 10px;
}

.input-warpper {
  position: relative;
}
.icon-warpper1 {
  display: block;
  position: absolute;
  right: 3%;
  line-height: 32px;
}

.icon-warpper2 {
  display: block;
  position: absolute;
  left: 92%;
  line-height: 35px;
}
.btn-date{
  cursor: pointer;
  color: #009EDB
}
.btn-delete:hover{
  cursor: pointer;
  color: rgb(20, 20, 20) !important;
}


/* hide the blue outline */
// .form-control:focus {
//   outline: 0 !important;
//   border-color: initial;
//   box-shadow: none;
// }
::ng-deep .input-group-text {
padding: 0px !important;
background-color: #ffffff !important;
border: 1px solid #cdcdce;
}
.input-detail{
margin-bottom: 10px;
}
.radio-detail{
padding-left: 0px;
}
.radio-layout{
padding-top: 0px;
padding-bottom: 0px;
}

.checkbox-layout{
padding-top: 4px;
padding-bottom: 4px;
}

.checkbox-box{
padding-top: 1px;
}

.checkbox-detail{
font-family: Prompt;
padding-left: 10px;
}
.checkbox-detail-false{
cursor: pointer;
}
.checkbox-detail-true{
cursor: pointer;
color: #00A6E6;
}
.checkbox-padding-right{
padding-right: 20px;
}

.button-calendar{
padding: 0px !important;
background-color: #ffffff !important;
border: 1px solid #cdcdce;
border-left: 0px solid #ffffff00;
border-top-left-radius: 0;
border-bottom-left-radius: 0;
border-top-right-radius: 4px;
border-bottom-right-radius: 4px;
}
.btn-input-calendar{
border-right: 0px solid #ffffff00;
}
.btn-annualPlan{
box-sizing: border-box;
height: 48px;
width: 222px;
border: 1.5px solid #00A4E4;
border-radius: 4px;
color: #00A6E6;
background-color: #ffffff00;
font-family: Prompt;
font-size: 18px;
letter-spacing: 0;
line-height: 28px;
text-align: center
}

.table {
justify-content: center;
}

.mat-cell {
font-family: Prompt;
}

.mat-header-cell {
text-align: left;
background-color: #E0E0E0;
font-family: Prompt;
font-size: 16px;
letter-spacing: 0;
line-height: 24px;
}

.td_single {
background-color: #FAFAFA;
font-family: Prompt;
}
.td_couple{
background-color: #ffffff;
font-family: Prompt;
}
.bin_upload{
  box-sizing: border-box;
  height: 48px;
  width: 526px;
  border: 1.5px solid #00A4E4;
  border-radius: 4px;
  color: #00A6E6;
  background-color: #ffffff00;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center
}

.textarea-container .input_upload{
position: absolute;
bottom: 10px;
left: 16px;
right: 0;

box-sizing: border-box;
height: 48px;
width: 526px;
text-align: center;
}

.input_upload_label {
box-sizing: border-box;
height: 48px;
width: 526px;
padding-top: 10px;
border: 1.5px solid #00A4E4;
border-radius: 4px;
color: #00A6E6;
font-family: Prompt;
font-size: 18px;
letter-spacing: 0;
line-height: 28px;
text-align: center;
cursor: pointer;
}



.textareaHeight {
height: 261px;
}
.textarea-container { 
position: relative; 
} 
.textarea-container textarea { 
width: 100%; 
height: 100%; 
box-sizing: border-box; 
} 
.textarea-container button { 
position: absolute;
// position: fixed;
bottom: 10px;
left: 16px;
right: 0;
}
.textarea-container .image_row { 
position: absolute;
// position: fixed;
bottom: 50px;
left: 16px;
right: 0;
}
.textarea-container .image_col { 
position: absolute;
// position: fixed;
bottom: 20px;
left: 16px;
right: 0;
}

.textarea-container .custom-file {
position: absolute;
// position: fixed;
bottom: 10px;
left: 16px;
right: 0;
}

.photo{
height: 80px;
width: 80px;
border-radius: 4px;
cursor: pointer;
}

.unnon_image{
box-sizing: border-box;
height: 80px;
width: 80px;
// border: 1.5px dashed #00A4E4;
margin-right: 12px;
margin-top: 12px;
}


// .unnon_image:hover + .circle_image{
//   position: absolute;
//   bottom: 70px;
//   left: 67px;
//   height: 18px;
//   width: 18px;
//   border-radius: 50px;
//   opacity: 1;
//   cursor: pointer;
// }
.non_image{
box-sizing: border-box;
height: 80px;
width: 80px;
border: 1.5px dashed #00A4E4;
border-radius: 4px;
margin-top: 12px;
cursor: pointer;
}
.non_image_text{
// box-sizing: border-box;
height: 80px;
width: 80px;
background-color: #ffffff00;
border: 0px dashed #ffffff00;
margin-top: 12px;
// border-radius: 4px;
cursor: pointer;
}
.icon_add{
margin-top: 10px;
margin-left: 17px;
height: 20px;
width: 20px;
cursor: pointer;
}

.non_image_fileDrop{
position: absolute;
opacity: 0;
// box-sizing: border-box;
height: 80px;
width: 80px;
padding: 0px;
// border: 1.5px dashed #00A4E4;
border-radius: 4px;
background-color: #5AA700;
cursor: pointer !important;
}
// .non_image_fileDrop:focus{
//   position: absolute;
//   opacity: 0;
//   // box-sizing: border-box;
//   height: 80px;
//   width: 80px;
//   padding: 0px;
//   // border: 1.5px dashed #00A4E4;
//   border-radius: 4px;
//   background-color: rgb(148, 148, 148);
//   cursor: pointer !important;
// }

#file-upload-button{
cursor: pointer !important;
}

.circle_image{
position: absolute;
// bottom: 70px;
// left: 67px;
margin-top: 5px;
margin-left: 67px;
margin-bottom: 30px;
height: 18px;
width: 18px;
border-radius: 50px;
cursor: pointer;
}


// .ccc .vvv {opacity:0;}

// .ccc img:hover + .vvv {opacity:1;}


// Modal
.modal {
display: none;
position: fixed;
// z-index: 1;
padding-top: 10vw;
left: 0;
top: 0;
width: 100%;
height: 100%;
overflow: auto;
background-color: rgba(0,0,0,0.4);
}


/* Modal Content */
.modal-content {
position: relative;
background-color: #ffffff00;
margin-left: auto;
margin-right: auto;
padding: 0;
width: 90%;
max-width: 1200px;
border: #ffffff00;

}
.modal-image {
// box-sizing: border-box;
margin-left: auto;
margin-right: auto;
height: 40vw;
width: 70vw;
// border: 1px solid #ffffff;
}
.modal-image-gallery{
// background-color: #FFFFFF;
filter: grayscale(50%);
// box-sizing: border-box;
height: 120px;
width: 120px;
padding: 4px;
cursor: pointer;
}
.modal-image-gallery-select {
box-sizing: border-box;
height: 120px;
width: 120px;
padding: 4px;
box-shadow: 0 2px 6px 0 #666666;
cursor: pointer;
}
.modal-image-detail {
justify-content: center;
box-sizing: border-box;
margin-left: 100px;
margin-right: 100px;
overflow-x: auto;
}

/* The Close Button */
.close {
color: white;
position: absolute;
top: 10px;
right: 25px;
font-size: 35px;
font-weight: bold;
}

.close:hover,
.close:focus {
color: #999;
text-decoration: none;
cursor: pointer;
}

.dropzone {
width: 100%;
height: 85px;
padding: 2rem;
text-align: center;
border: dashed 2px #00a4e4;
position: relative;
margin: auto;
border-radius: 1%;

input {
  cursor: pointer;
  opacity: 0;
  position: absolute;
  z-index: 2;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}
input:hover {
  cursor: pointer;
  opacity: 0;
  position: absolute;
  z-index: 2;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}
i {
  font-size: 50px;
  color: #00a6e6;
}
.drag-text {
  width: 180px;
  height: 44px;
  border-radius: 21px;
  padding: 8px 16px;
}
a {
  font-family: Prompt;
  font-size: 18px;
  color: #00a6e6;
}
}
.dropzone:hover {
width: 100%;
height: 85px;
padding: 2rem;
text-align: center;
border: dashed 2px #00a4e4;
position: relative;
margin: auto;
border-radius: 1%;
background-color: rgba(255, 255, 255, 0.288);
}

.fileDrop {
position: absolute;
opacity: 0;
height: 50px;
background-color: #5AA700;
cursor: pointer;
}
.input_select{
padding-top: 6px;
padding-bottom: 6px;
margin-bottom: 0px;
}

.input_upload_document{
box-sizing: border-box;
height: 80px;
width: 100%;
padding-top: 25px;
border: 1.5px dashed #00A4E4;
border-radius: 4px;
color: #00A6E6;
font-family: Prompt;
font-size: 18px;
letter-spacing: 0;
line-height: 28px;
text-align: center;
cursor: pointer;
}
.fileDrop_document{
position: absolute;
opacity: 0;
height: 80px;
background-color: #5AA700;
cursor: pointer;
}
.document_file_detail {
margin-top: 5px;
margin-bottom: 5px;
}


// ==== table only =====

.table-proccess {
font-family: Prompt;
  thead tr {
      height: 54px;
      background-color: #F2F2F2;
  }

  thead {
      color: #999999;
      font-size: 16px;
      font-weight: 500;
      letter-spacing: 0;
      line-height: 24px;
  }
  border-bottom: 1px solid #c8ced3;
}

// .table-overflow {
//   // width: 1800px;
// }

.table-striped > tbody > tr:nth-of-type(odd) {
  background-color: rgb(255, 255, 255);
}

.table-striped > tbody > tr:nth-of-type(even) {
  background-color: #FAFAFA;
}

.table-proccess-data {
  // width: 100%;
  
  tr {
      &:nth-of-type(odd) {
      background-color: transparent;
      }

      &:nth-of-type(even) {
          background-color: transparent;
       }

      &:first-child {
          td {
              border-top: 0;
          }
      }

      &:last-child {
          td {
              border-bottom: 0;
          }
      }
  }


  td {
      padding: 0.75rem;
      vertical-align: top;
      border-bottom: 1px solid #c8ced3;
      position: relative;
  }
}

.table-warpper {
  background:#FAFAFA;
  // padding: 24px;
}
.pd-0 {
  padding: 0;
}

.delete-data {
  color: #00A6E6;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
  text-align: center;
  cursor: pointer;
}

input::placeholder {
color: #E0E0E0;
}


.btn-create-data {
  height: 36px;
  width: 106px;
  border: 0;
  border-radius: 4px;
  background-color: #00A6E6;
  font-family: Prompt;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 24px;
  color: #FFFFFF;
}

.add-icon {
  filter: brightness(0) invert(1);
}

/* Animate items as they're being sorted. */
.cdk-drop-list-dragging .cdk-drag {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

/* Animate an item that has been dropped. */
.cdk-drag-animating {
  transition: transform 300ms cubic-bezier(0, 0, 0.2, 1);
}

.icongrap {
  cursor: grab;
  left: -7px;
  position: absolute;
  top: 50%;
  width: 17px;
  transform: translateY(-50%);
}

.disabled-option {
  color: #999999;
}

a.delete_file {
  color: #999999;
}
a.delete_file:hover {
  color: #999999;
  text-decoration: underline;
  cursor: pointer;
}
a.download_file {
  color:  #00a6e6;
}
a.download_file:hover {
  color: #00a6e6;
  text-decoration: underline;
  cursor: pointer;
}
a.pipe {
  color:  #CCCCCC;
}

.table {
justify-content: center;
}
.table-responsives {
height: auto;
// overflow-x: auto;
// width: 100%;
margin-top: 20px;
font-family: Prompt !important;
th {
  //   width: 500px;
  font-family: Prompt !important;
  align-items: flex-start;
  justify-content: flex-start !important;
  text-align: center !important;
  opacity: 0.99;
  border-radius: 2px;
  background-color: #f1f0f0;
  font-size: 16px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #a0a6ac;
  //   border: 1px solid #dddddd;
  }
td {
  padding: 5px;
  height: auto;
  width: 500px !important;
  font-family: Prompt !important;
  border: none;
  text-align: center;
  // align-items: left;
  justify-content: left !important;
  border-bottom: 1px solid #c9c9c8;
}
.class-name {
  margin-left: 10px;
  width: 300px !important;
  height: auto;
  overflow-wrap: break-word;
  word-wrap: break-word;
  hyphens: auto;
  text-align: center;
  // align-items: center;
  justify-content: left !important;
}
}


.table-responsive {
  th {
    //   width: 500px;
    font-family: Prompt !important;
    align-items: flex-start;
    justify-content: flex-start !important;
    text-align: left !important;
    opacity: 0.99;
    border-radius: 2px;
    background-color: #f1f0f0;
    font-size: 16px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    color: #a0a6ac;
    //   border: 1px solid #dddddd;
    }
}
.table_files_validate{
  th {
    //   width: 500px;
    font-family: Prompt !important;
    align-items: flex-start;
    justify-content: flex-start !important;
    text-align: center !important;
    opacity: 0.99;
    border-radius: 2px;
    background-color: #f1f0f0;
    font-size: 16px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    color: #a0a6ac;
    //   border: 1px solid #dddddd;
    }
}

table {
margin: auto;
// width: 100% !important;
// height: 500px;
overflow-x: auto;
// border: 1px solid #dddddd;
padding: 0;
.form-control {
  text-align: left !important;
}
tr:nth-child(even) {
  background-color: #7c7c7c0c;
}
th {
  width: auto !important;
  // padding-left: 0;
  // padding-right: 0;
}
}

// ::ng-deep th.mat-header-cell:first-of-type {
//   width: 800px !important;
//   //   overflow: auto;
// }

// ============================================================================================//
.text-header-panel {
  width: 85%;
  height: 30px;
  color: #333330;
  font-family: Prompt;
  font-size: 20px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 30px;
  text-align: left;
}

a.btn-link {
  width: 15%;
  color: #006e95;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 22px;
  text-align: right;
  cursor: pointer;
}
a.btn-link:hover {
    text-decoration: underline;
    cursor: pointer;
}
.card-header {
  padding: 0 !important;
  background-color: white;
  border-bottom: 2px solid #cccccc;
}
.card {
  border: none;
}
.head-detal-read-only {
  color: #999999;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  margin-top: 20px;
  margin-bottom: 10px;
  font-weight: 500;

}

// ===========================================================================================//